Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class SimplePassiveCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential
              com.ibm.wps.portletservice.credentialvault.credentials.SimplePassiveCredential

All Implemented Interfaces:
  Credential, PassiveCredential, SimplePassiveCredential, java.io.Serializable

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public class SimplePassiveCredential

extends PassiveCredential
implements SimplePassiveCredential

Simple standard implementation of PassiveCredential. This credential is only a container of the user's secret. Portlets may call the getSecret() method in order to obtain and work with this secret.

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary
`protected JavaObjectCredentialSecret` | `secret` Deprecated.

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`SimplePassiveCredential()` Deprecated.

Method Summary
`java.lang.Object` | `getSecret()` Deprecated. Returns the user's secret as an object.
`int` | `getSecretType()` Deprecated. Returns the credential's Secret Type in terms of the constants declared in `CredentialVaultService` Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Creates a new SimplePassive credential.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.PassiveCredential
`isActive`

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.PassiveCredential
`isActive`

Field Detail

### secret

    protected JavaObjectCredentialSecret secret

  Deprecated.

Constructor Detail

### SimplePassiveCredential

    public SimplePassiveCredential()

  Deprecated.

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Creates a new SimplePassive credential.

  Specified by:
    `init` in interface `Credential`
  Specified by:
    `init` in interface `SimplePassiveCredential`
  Overrides:
    `init` in class `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JavaObjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    public int getSecretType()

  Deprecated.
  Description copied from class: `Credential`
  Returns the credential's Secret Type in terms of the constants declared in `CredentialVaultService` Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Specified by:
    `getSecretType` in interface `SimplePassiveCredential`
  Overrides:
    `getSecretType` in class `Credential`
  Returns:
    int Credential Secret Type identifier
  See Also:
    `CredentialVaultService`

### getSecret

    public java.lang.Object getSecret()

  Deprecated.
  Returns the user's secret as an object.

  Specified by:
    `getSecret` in interface `SimplePassiveCredential`
  Returns:
    Object the user secret

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD